export default (function (_ref) {
  var projectId = _ref.projectId,
      instanceId = _ref.instanceId,
      marketDeployObjectId = _ref.marketDeployObjectId;
  return {
    autoCreate: false,
    autoQuery: true,
    selection: false,
    paging: false,
    transport: {
      read: function read(_ref2) {
        var data = _ref2.data;
        return {
          url: "/devops/v1/projects/".concat(projectId, "/app_service_instances/").concat(instanceId, "/upgrade_value?market_deploy_object_id=").concat(data.market_deploy_object_id || marketDeployObjectId),
          method: 'get'
        };
      }
    }
  };
});